## ros-iron-image-tools 0.27.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(image_tools)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(OpenCV REQUIRED COMPONENTS core highgui imgcodecs imgproc videoio)

add_library(${PROJECT_NAME} SHARED
  src/burger.cpp
  src/cam2image.cpp
  src/cv_mat_sensor_msgs_image_type_adapter.cpp
  src/showimage.cpp
)
target_compile_definitions(${PROJECT_NAME}
  PRIVATE "IMAGE_TOOLS_BUILDING_DLL")
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
target_link_libraries(${PROJECT_NAME}
  rclcpp::rclcpp
  ${sensor_msgs_TARGETS}
  ${std_msgs_TARGETS}
  rclcpp_components::component
  ${OpenCV_LIBS})
rclcpp_components_register_node(${PROJECT_NAME} PLUGIN "image_tools::Cam2Image" EXECUTABLE cam2image)
rclcpp_components_register_node(${PROJECT_NAME} PLUGIN "image_tools::ShowImage" EXECUTABLE showimage)

install(
  TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

# TODO(sloretz) stop exporting old-style CMake variables in the future
ament_export_libraries(${PROJECT_NAME})

ament_export_targets(${PROJECT_NAME})

ament_export_dependencies(rclcpp_components)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_pytest REQUIRED)
  find_package(launch_testing_ament_cmake REQUIRED)
  find_package(rmw_implementation_cmake REQUIRED)

  # These are the regex's for validating the output of the executables.
  set(RCLCPP_DEMO_SHOWIMAGE_EXPECTED_OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/test/showimage")
  set(RCLCPP_DEMO_CAM2IMAGE_EXPECTED_OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/test/cam2image")

  macro(testing_targets)
    set(RCLCPP_DEMO_CAM2IMAGE_EXECUTABLE $<TARGET_FILE:cam2image>)
    set(RCLCPP_DEMO_SHOWIMAGE_EXECUTABLE $<TARGET_FILE:showimage>)

    configure_file(
      test/test_executables_demo.py.in
      test_showimage_cam2image${target_suffix}.py.genexp
      @ONLY
    )

    file(GENERATE
      OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/test_showimage_cam2image${target_suffix}_$<CONFIG>.py"
      INPUT "${CMAKE_CURRENT_BINARY_DIR}/test_showimage_cam2image${target_suffix}.py.genexp"
    )

    add_launch_test(
      "${CMAKE_CURRENT_BINARY_DIR}/test_showimage_cam2image${target_suffix}_$<CONFIG>.py"
      TARGET test_showimage_cam2image${target_suffix}
      ENV
      RCL_ASSERT_RMW_ID_MATCHES=${rmw_implementation}
      RMW_IMPLEMENTATION=${rmw_implementation}
      TIMEOUT 30
    )
  endmacro()

  call_for_each_rmw_implementation(testing_targets)

endif()

ament_package()

=== debian/changelog ===
ros-iron-image-tools (0.27.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-image-tools (0.27.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-image-tools (0.26.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-image-tools (0.25.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 Feb 2023 16:00:00 -0000

ros-iron-image-tools (0.24.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-iron-image-tools (0.24.0-1jammy) jammy; urgency=high

  * Added README.md for image_tools - [Clean] (#596 <https://github.com/ros2/demos/issues/596>)
  * Update the demos to C++17. (#594 <https://github.com/ros2/demos/issues/594>)
  * [rolling] Update maintainers - 2022-11-07 (#589 <https://github.com/ros2/demos/issues/589>)
  * Contributors: Audrow Nash, Chris Lalancette, Gary Bey

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-image-tools (0.23.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-image-tools (0.22.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-image-tools (0.21.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-image-tools (0.20.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-image-tools (0.20.0-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} (#548 <https://github.com/ros2/demos/issues/548>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-image-tools (0.19.0-1jammy) jammy; urgency=high

  * Fix include order and relative paths for cpplint (#551 <https://github.com/ros2/demos/issues/551>)
  * Reduce the number of OpenCV libraries image_tools links against. (#549 <https://github.com/ros2/demos/issues/549>)
  * Adds copy constructor and assignment operator to ROSCvMatContainer (#546 <https://github.com/ros2/demos/issues/546>)
  * Contributors: Chris Lalancette, Gonzo, Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-image-tools (0.18.0-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#545 <https://github.com/ros2/demos/issues/545>)
  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Additional fixes for documentation in demos. (#538 <https://github.com/ros2/demos/issues/538>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-iron-image-tools (0.17.0-1jammy) jammy; urgency=high

  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-iron-image-tools (0.16.0-1jammy) jammy; urgency=high

  * ambigulity: unknown type name 'nullptr_t' (#528 <https://github.com/ros2/demos/issues/528>)
  * Add type masquerading demos (#482 <https://github.com/ros2/demos/issues/482>)
  * Contributors: Audrow Nash, William Woodall, xwnb

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-iron-image-tools (0.15.0-1jammy) jammy; urgency=high

  * Add support for visualizing yuv422 (#499 <https://github.com/ros2/demos/issues/499>)
  * Contributors: joshua-qnx

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 May 2021 16:00:00 -0000

ros-iron-image-tools (0.14.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-iron-image-tools (0.14.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 18 Apr 2021 16:00:00 -0000

ros-iron-image-tools (0.14.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-image-tools (0.13.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-iron-image-tools (0.12.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-image-tools (0.12.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-image-tools (0.11.0-1jammy) jammy; urgency=high

  * Initialize time stamp for published image messages (#475 <https://github.com/ros2/demos/issues/475>)
  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Added more parameters for camera topic examples (#465 <https://github.com/ros2/demos/issues/465>)
  * Contributors: Jacob Perron, Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000

ros-iron-image-tools (0.10.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

ros-iron-image-tools (0.10.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 16 Jun 2020 16:00:00 -0000

ros-iron-image-tools (0.9.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-iron-image-tools (0.9.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-image-tools (0.9.1-1jammy) jammy; urgency=high





=== debian/control ===
Source: ros-iron-image-tools
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-launch <!nocheck>, ros-iron-launch-ros <!nocheck>, ros-iron-launch-testing <!nocheck>, ros-iron-launch-testing-ament-cmake <!nocheck>, ros-iron-launch-testing-ros <!nocheck>, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rmw-implementation-cmake <!nocheck>, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-image-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ros-workspace
Description: Tools to capture and play back images to and from DDS subscriptions and publications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-image-tools//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
